## Method com.sap.dbtech.powertoys.DBM.dbrootDBM

### Use

To connect a Java application to the DBM server of a certain software version, you use the com.sap.dbtech.powertoys.DBM.dbrootDBM method.

You only use this method if you want to create a new database instance with your Java application.

To execute other DBM commands, you use the com.sap.dbtech.powertoys.DBM.dbDBM method to connect to the database instance.

### Prerequisites

● As user of the operating system, you have access to the computer on which you create the new database instance.

● Furthermore, in Microsoft Windows, you require administration rights and the Log on as batch job right on this computer.

### Features

public static DBM dbrootDBM(String database_computer, String dependent_path)

throws

com.sap.dbtech.rte.comm.RTEException

Parameters

Name | Description
database_computer | Name of the database computer on which the database instance is running To connect to a DBM server on the local computer, enter the value null.
dependent_path | Path of the database software in the desired version To connect to the DBM server with the highest software version, enter the value null. To display the paths and versions of software installed on your computer, you enter the following command in the command line: dbmcli db_enum

Exceptions

Class | Description
com.sap.dbtech.rte.comm.RTEException | See Troubleshooting (Database Manager)

See also:

Database Manager Java Classes